* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body{
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

header{
    width: min(600px, 90%);
    padding: 10px;
    width: 100%;
    border-bottom: 1px solid black;
    margin-bottom: 20px;
}

main {
    align-self: center;
    line-height: 1.4;
    width: min(600px, 90%);
    margin-bottom: 50px;
}

footer {
    margin-top: auto;
    width: 100%;
    height: 30px;
    background: #ddd;
    padding: 5px 12px;
    border-top: 1px solid black;
}

p{
    margin-bottom: 10px;
}

.page-links{
    display: flex;
    gap: 30px;
}

.page-links .nextlink{
    margin-left: auto;
}

header a{
    display: flex;
    gap: 20px;
    align-items: center;
    text-decoration: none;
    color: black;
}

header img{
    width: 60px;
}

ol, ul{
    margin-left: 20px;
}

ul ul{
    margin-left: 20px;
    list-style: none;
}

a{
    text-decoration: none;
}

h2{
    margin-bottom: 10px;
}

h3, h4{
    margin-top:30px;
    margin-bottom: 10px;
}

.page-links{
    margin-bottom: 20px;
}

#warn{
    color:red;
    margin: 10px 0;
}

#note{
    color:#555;
}

#warn-block{
    border: 1px solid red;
    padding: 10px;
}

#emph-block{
    border: 1px solid #999;
    padding: 10px;
    margin: 20px;
    width: fit-content;
}